---
title: '-webkit-print-color-adjust'
slug: Web/CSS/-webkit-print-color-adjust
tags:
  - CSS
  - CSS Property
  - Layout
  - Non-standard
  - Web
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>-webkit-print-color-adjust</code></strong> property is a non-standard CSS extension that can be used to force printing of background colors and images in browsers based on the WebKit engine.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
-webkit-print-color-adjust: economy;
-webkit-print-color-adjust: exact;

/* Global values */
-webkit-print-color-adjust: inherit;
-webkit-print-color-adjust: initial;
-webkit-print-color-adjust: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>-webkit-print-color-adjust</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>economy</code></dt>
 <dd>Normal behavior.  Background colors and images are only printed if the user explicitly allows it in their browser's print settings dialog.</dd>
 <dt><code>exact</code></dt>
 <dd>Background colors and images of the element to which this rule is applied are always printed, user's print settings are overridden.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Forcing_white-on-black_printing">Forcing white-on-black printing</h3>

<pre class="brush: css notranslate">article {
  -webkit-print-color-adjust: exact;
  background: #222;
  color: #eee;
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard, though there is a <a href="http://wiki.csswg.org/ideas/print-backgrounds">proposal in the CSSWG wiki</a> to standardize it.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-print-color-adjust")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>WebKit <a href="https://bugs.webkit.org/show_bug.cgi?id=64583">bug 64583</a>: "WIP: Add CSS property to control printing of backgrounds for individual elements"</li>
 <li>CSSWG wiki: <a href="http://wiki.csswg.org/ideas/print-backgrounds">print-backgrounds</a> - a proposal to standardize this property</li>
 <li>CSS Color Module Level 4:  the <code><a href="https://drafts.csswg.org/css-color-4/#color-adjust">color-adjust</a></code> property - a newer proposal to standardize this property</li>
</ul>
